Skip to main content
Accessibility Resource Center Skip to main content
Have a phone you love? Get up to $500 when you bring your phone.
end of navigation menu
cancel
Showing results for 
Search instead for 
Did you mean: 
Can't install some apps
Lilly-Jaynes
Member

So I'm trying to help my mother with her phone because she could not install a lot of the newer apps in the Google Play store.  Come to find out, she was running an old software version and the phone would not update.  Verizon sent her a new phone and it now has the new software version on it and runs a lot faster, but still we go to a lot of apps and it says it is not compatible with this device.  Am I missing something?

0 Likes
Re: Can't install some apps
Ann154
Expert
Expert

Which version of the OS is her phone running?  Some apps are not backward compatible with the old OS version.

For example, the ABC (TV network) app that will work on the Nexus 7 running Android Jelly Bean 4.3, but won't work on the Asus Transformer Pad TF700T running Android Jelly Bean 4.2.1 version.

I'm most definitely NOT a VZW employee. If a post answered your question, please mark it as the answer.

0 Likes
Re: Can't install some apps
Jakeman1
Sr. Member

The app itself may not be written to use HTC Sense which would or could make it not work on an HTC with HTC Sense installed on it. I believe HTC only has 1 or 2 phones without Sense on it. I would contact the APP writer and see if there are device issues.

0 Likes
Can't install some apps
Lilly-Jaynes
Member

The phone is now running the latest software (2.20.605.13 710RD)  so in theory I would think it would allow for the apps to be installed.  One of the apps is Dragon City and she swears one of her friends has a similar phone and has it downloaded.  I personally have the iphone, so I am not really familiar with the Android format and was thinking maybe there was something else I needed to install or update first?? As far as I know, her phone does not have the Sense on it, but I will check for that.

0 Likes
Re: Can't install some apps
Ann154
Expert
Expert

Lilly-Jaynes wrote:

The phone is now running the latest software (2.20.605.13 710RD)  so in theory I would think it would allow for the apps to be installed.  One of the apps is Dragon City and she swears one of her friends has a similar phone and has it downloaded.  I personally have the iphone, so I am not really familiar with the Android format and was thinking maybe there was something else I needed to install or update first?? As far as I know, her phone does not have the Sense on it, but I will check for that.

The HTC Rhyme is running a version of the Sense UI (user interface) that HTC installs on all their Android retail phones with only the Google Play Editions being the exception.

You can look up the app on the Google Play website and see if it lists which version of the Android OS it is designed for. Also if you are signed into the Gmail account associated with the phone, you can also see on the app page if the phone model itself is supported for the application.

I'm most definitely NOT a VZW employee. If a post answered your question, please mark it as the answer.

0 Likes
Re: Can't install some apps
Jakeman1
Sr. Member

The HTC One does NOT use Sense and I thought there was one other phone they have without it as well. These have a less integrated UI on top of them.

0 Likes
Re: Can't install some apps
Ann154
Expert
Expert

Jakeman1 wrote:

The HTC One does NOT use Sense and I thought there was one other phone they have without it as well. These have a less integrated UI on top of them.

The HTC One Google Play Edition is stock android UI. The regular HTC One does have the latest version of the Sense UI for the user interface. See http://m.androidcentral.com/htc-one

I'm most definitely NOT a VZW employee. If a post answered your question, please mark it as the answer.

0 Likes
Re: Can't install some apps
androidfreak
Novice

You are correct, The HTC one has sense 5 and the HTC rhyme is running gingerbread and some apps will not work with that

older version of android...Time for an upgrade to a newer smartphone? Probably not what you want to hear

0 Likes
Re: Can't install some apps
thecad
Member

The HTC Rhyme is still running the Gingerbread OS system.  Dragon City specifically requires an OS of at least 4.0 (Jellybean).  Because the Rhyme doesn't have Ice Cream Sandwich or Jellybean as its OS, there are a lot of apps that are not compatible with the phone.  My daughter has the Rhyme as her phone and even though it isn't a bad phone, she can't wait until she able to upgrade to a new phone that has a newer OS.